/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "libmm_imgp_gstcs_unittest.h"
#include "mm_util_gstcs.h"

using ::testing::InitGoogleTest;
using ::testing::Test;
using ::testing::TestCase;

class libmm_imgp_gstcs_Test : public ::testing::Test {
	protected:
		void SetUp() {
			std::cout << "SetUp()" << std::endl;
		}

		void TearDown() {
			std::cout << "TearDown()" << std::endl;
		}
};

TEST(libmm_imgp_gstcs_Test, mm_imgp_n)
{
	int ret = GSTCS_ERROR_INVALID_PARAMETER;

	ret = mm_imgp(NULL, NULL, NULL, IMGP_CSC);
	EXPECT_EQ(ret, GSTCS_ERROR_INVALID_PARAMETER);
}

int main(int argc, char **argv)
{
	InitGoogleTest(&argc, argv);

	return RUN_ALL_TESTS();
}
